Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.jsr223
[Java] Class GroovyCompiledScript

    java.lang.Object
      javax.script.CompiledScript
          org.codehaus.groovy.jsr223.GroovyCompiledScript

    public class GroovyCompiledScript
    extends javax.script.CompiledScript

Used to represent compiled Groovy scripts. Such scripts may be executed repeatedly by Groovy's `ScriptEngine` using the `eval` method without reparsing overheads.

Authors:
  Mike Grogan
  A. Sundararajan

Constructor Summary
`GroovyCompiledScript(GroovyScriptEngineImpl engine, java.lang.Class clazz)`

Method Summary
`java.lang.Object` | `eval(javax.script.ScriptContext context)`
`javax.script.ScriptEngine` | `getEngine()`

Methods inherited from class javax.script.CompiledScript
javax.script.CompiledScript#eval(javax.script.ScriptContext), javax.script.CompiledScript#eval(javax.script.Bindings), javax.script.CompiledScript#eval(), javax.script.CompiledScript#getEngine(), javax.script.CompiledScript#wait(long), javax.script.CompiledScript#wait(long, int), javax.script.CompiledScript#wait(), javax.script.CompiledScript#equals(java.lang.Object), javax.script.CompiledScript#toString(), javax.script.CompiledScript#hashCode(), javax.script.CompiledScript#getClass(), javax.script.CompiledScript#notify(), javax.script.CompiledScript#notifyAll()

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### GroovyCompiledScript

    public GroovyCompiledScript(GroovyScriptEngineImpl engine, java.lang.Class clazz)

Method Detail

### eval

    public java.lang.Object eval(javax.script.ScriptContext context)

### getEngine

    public javax.script.ScriptEngine getEngine()

Groovy Documentation